Send bulk email
curl --request POST \
--url https://api.heullo.com/api/v1/bulk/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"content": "aSDinaTvuI8gbWludGxpZnk=",
"contentType": "<string>",
"filename": "<string>"
}
],
"from": "<string>",
"html": true,
"message": "<string>",
"metadata": {},
"recipients": [
"<string>"
],
"replyTo": "<string>",
"subject": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://api.heullo.com/api/v1/bulk/email"
payload = {
"attachments": [
{
"content": "aSDinaTvuI8gbWludGxpZnk=",
"contentType": "<string>",
"filename": "<string>"
}
],
"from": "<string>",
"html": True,
"message": "<string>",
"metadata": {},
"recipients": ["<string>"],
"replyTo": "<string>",
"subject": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attachments: [
{
content: 'aSDinaTvuI8gbWludGxpZnk=',
contentType: '<string>',
filename: '<string>'
}
],
from: '<string>',
html: true,
message: '<string>',
metadata: {},
recipients: ['<string>'],
replyTo: '<string>',
subject: '<string>',
templateId: '<string>'
})
};
fetch('https://api.heullo.com/api/v1/bulk/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/bulk/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachments' => [
[
'content' => 'aSDinaTvuI8gbWludGxpZnk=',
'contentType' => '<string>',
'filename' => '<string>'
]
],
'from' => '<string>',
'html' => true,
'message' => '<string>',
'metadata' => [
],
'recipients' => [
'<string>'
],
'replyTo' => '<string>',
'subject' => '<string>',
'templateId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/bulk/email"
payload := strings.NewReader("{\n \"attachments\": [\n {\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"contentType\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"from\": \"<string>\",\n \"html\": true,\n \"message\": \"<string>\",\n \"metadata\": {},\n \"recipients\": [\n \"<string>\"\n ],\n \"replyTo\": \"<string>\",\n \"subject\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/bulk/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachments\": [\n {\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"contentType\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"from\": \"<string>\",\n \"html\": true,\n \"message\": \"<string>\",\n \"metadata\": {},\n \"recipients\": [\n \"<string>\"\n ],\n \"replyTo\": \"<string>\",\n \"subject\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/bulk/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attachments\": [\n {\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"contentType\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"from\": \"<string>\",\n \"html\": true,\n \"message\": \"<string>\",\n \"metadata\": {},\n \"recipients\": [\n \"<string>\"\n ],\n \"replyTo\": \"<string>\",\n \"subject\": \"<string>\",\n \"templateId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": "<string>",
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Bulk Processing
Send bulk email
Send email to multiple recipients
POST
/
api
/
v1
/
bulk
/
email
Send bulk email
curl --request POST \
--url https://api.heullo.com/api/v1/bulk/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"content": "aSDinaTvuI8gbWludGxpZnk=",
"contentType": "<string>",
"filename": "<string>"
}
],
"from": "<string>",
"html": true,
"message": "<string>",
"metadata": {},
"recipients": [
"<string>"
],
"replyTo": "<string>",
"subject": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://api.heullo.com/api/v1/bulk/email"
payload = {
"attachments": [
{
"content": "aSDinaTvuI8gbWludGxpZnk=",
"contentType": "<string>",
"filename": "<string>"
}
],
"from": "<string>",
"html": True,
"message": "<string>",
"metadata": {},
"recipients": ["<string>"],
"replyTo": "<string>",
"subject": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attachments: [
{
content: 'aSDinaTvuI8gbWludGxpZnk=',
contentType: '<string>',
filename: '<string>'
}
],
from: '<string>',
html: true,
message: '<string>',
metadata: {},
recipients: ['<string>'],
replyTo: '<string>',
subject: '<string>',
templateId: '<string>'
})
};
fetch('https://api.heullo.com/api/v1/bulk/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/bulk/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachments' => [
[
'content' => 'aSDinaTvuI8gbWludGxpZnk=',
'contentType' => '<string>',
'filename' => '<string>'
]
],
'from' => '<string>',
'html' => true,
'message' => '<string>',
'metadata' => [
],
'recipients' => [
'<string>'
],
'replyTo' => '<string>',
'subject' => '<string>',
'templateId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/bulk/email"
payload := strings.NewReader("{\n \"attachments\": [\n {\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"contentType\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"from\": \"<string>\",\n \"html\": true,\n \"message\": \"<string>\",\n \"metadata\": {},\n \"recipients\": [\n \"<string>\"\n ],\n \"replyTo\": \"<string>\",\n \"subject\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/bulk/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachments\": [\n {\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"contentType\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"from\": \"<string>\",\n \"html\": true,\n \"message\": \"<string>\",\n \"metadata\": {},\n \"recipients\": [\n \"<string>\"\n ],\n \"replyTo\": \"<string>\",\n \"subject\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/bulk/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attachments\": [\n {\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"contentType\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"from\": \"<string>\",\n \"html\": true,\n \"message\": \"<string>\",\n \"metadata\": {},\n \"recipients\": [\n \"<string>\"\n ],\n \"replyTo\": \"<string>\",\n \"subject\": \"<string>\",\n \"templateId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": "<string>",
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Trace ID for request tracking
Body
application/json

